%define Product ExternalEditor
%define product externaleditor
%define name    zope-%{Product}
%define version 0.9.3
%define release %mkrel 5

%define zope_minver     2.7
%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Zope External Editor
License:    GPL
Group:      System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{Product}-%{version}-src.tar.bz2
Source1:    ZopeEdit.ini
# give a system configuration file
Patch0:     zopeedit-etc.patch
Requires:   zope >= %{zope_minver}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Do you like editing zope objects in text areas?

If not, this product is for you. The ExternalEditor is a Zope product and
configurable helper application that allows you to drop into your favorite
editor(s) directly from the ZMI to modify Zope objects. Its one of those 
"have your cake and eat it too" kind of things ;^).


%package -n zopeedit
Summary:        Zope ExternalEditor helper application
Group:          System/Servers
License:        GPL
Requires:       tkinter

%description -n zopeedit
Do you like editing zope objects in text areas?

If not, this product is for you. The ExternalEditor is a Zope product and
configurable helper application that allows you to drop into your favorite
editor(s) directly from the ZMI to modify Zope objects. Its one of those 
"have your cake and eat it too" kind of things ;^).


%prep
%setup -c -q
%patch0 -p0

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__mkdir_p} %{buildroot}/%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}

%{__cp} -a * %{buildroot}%{software_home}/Products/
mv %{buildroot}%{software_home}/Products/ExternalEditor/zopeedit.py %{buildroot}/%{_bindir}
cp %{SOURCE1} %{buildroot}%{_sysconfdir}


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*

%files -n zopeedit
%defattr(-,root,root)
%{_bindir}/zopeedit.py
%config(noreplace) %{_sysconfdir}/ZopeEdit.ini


%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.3-5mdv2009.0
+ Revision: 263124
- rebuild
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-2mdv2008.1
+ Revision: 136633
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.3-2mdv2008.0
+ Revision: 88558
- spec cleanup
- drop unapplied patches


* Fri Jan 19 2007 Gaëtan Lehmann <glehmann@mandriva.org> 0.9.3-1mdv2007.0
+ Revision: 110580
- 0.9.3

* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.9.2-1mdv2007.1
+ Revision: 99751
- 0.9.2

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-2mdv2007.0
+ Revision: 53914
- Fix  rpmlint warnings

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - Import zope-ExternalEditor

* Sun Oct 23 2005 Gaetan Lehmann <glehmann@deborah.mandriva.com> 0.9.1-1mdk
- new release 0.9.1
- fix URL and source URL
- drop patchs

* Mon Aug 22 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 0.8-4mdk
- fix path on x86_64

* Thu Apr 21 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 0.8-3mdk
- use mkrel
- fix missing meta_type management (patch2)

* Thu Mar 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-2mdk
- isolate zopeedit.py in a new package
- set a system config file for zopeedit.py (patch 0)
- workaround blocking askstring (with PyQt) in zopeedit.py (patch 1)
- allow to give one editor per content type in zopeedit.py gui (patch2)
- fix some lint

* Tue Jan 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.8-1mdk
- initial contrib

